package com.ruoyi.web.userLogin.service;

import java.util.List;
import java.util.Map;

/**
 * @version : V1.0
 * @ClassName: IWechatUserLoginService
 * @Description: 微信用户登录
 * @Auther: JiangYuQi
 * @Date: 2020/7/7 18:03
 */
public interface IWechatUserLoginService {

    /**
     * 获取用户信息
     * @param loginName
     * @return
     */
    public Map<String,Object> findUserInfo(String loginName,String openId);

    /**
     * 修改密码
     * @param map
     * @return
     */
    public Map<String,Object> updataUser(Map<String,Object> map);

    /**
     * 获取openId
     * @param code
     * @return
     */
    public Map<String,Object> getOpenId(String code,String appId);


    /**
     * 根据openId查询用户认证对象
     * @param openId
     * @return
     */
    public Map<String,Object> getLoginUserByOpenId(String openId);

    /**
     * 根据用户查询菜单信息
     * @param username
     * @return
     */
    public List<Map<String,Object>> selectRoleMenuList(String username);

    /**
     * 查询用户的组织架构
     * @param map
     * @return
     */
    Map<String, Object> getDeptAll(Map<String,Object> map);
}
